# FoundationClasses
TKernel
TColStd

# TColStd_QueueOfTransient Class Reference

`#include <TColStd_QueueOfTransient.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TColStd_QueueOfTransient ()
Standard_EXPORT const TColStd_QueueOfTransient & | Assign (const TColStd_QueueOfTransient &Other)
const TColStd_QueueOfTransient & | operator= (const TColStd_QueueOfTransient &Other)
Standard_Integer | Length () const
Standard_Boolean | IsEmpty () const
Standard_EXPORT const Handle_Standard_Transient & | Front () const
Standard_EXPORT void | Clear ()
| ~TColStd_QueueOfTransient ()
Standard_EXPORT void | Push (const Handle(Standard_Transient)&T)
Standard_EXPORT void | Pop ()
Standard_EXPORT Handle_Standard_Transient & | ChangeFront ()

## Private Member Functions

Standard_EXPORT | TColStd_QueueOfTransient (const TColStd_QueueOfTransient &Other)

## Private Attributes

Standard_Address | myFront
Standard_Address | myEnd
Standard_Integer | myLength

## Constructor & Destructor Documentation

Standard_EXPORT TColStd_QueueOfTransient::TColStd_QueueOfTransient | ( |  | ) |

TColStd_QueueOfTransient::~TColStd_QueueOfTransient | ( |  | ) | `[inline]`

Standard_EXPORT TColStd_QueueOfTransient::TColStd_QueueOfTransient | ( | const TColStd_QueueOfTransient & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const TColStd_QueueOfTransient& TColStd_QueueOfTransient::Assign | ( | const TColStd_QueueOfTransient & | Other | ) |

Standard_EXPORT Handle_Standard_Transient& TColStd_QueueOfTransient::ChangeFront | ( |  | ) |

Standard_EXPORT void TColStd_QueueOfTransient::Clear | ( |  | ) |

Standard_EXPORT const Handle_Standard_Transient& TColStd_QueueOfTransient::Front | ( |  | ) | const

Standard_Boolean TColStd_QueueOfTransient::IsEmpty | ( |  | ) | const

Standard_Integer TColStd_QueueOfTransient::Length | ( |  | ) | const

void TColStd_QueueOfTransient::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TColStd_QueueOfTransient::operator new | ( | size_t | size | ) | `[inline]`

void* TColStd_QueueOfTransient::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

const TColStd_QueueOfTransient& TColStd_QueueOfTransient::operator= | ( | const TColStd_QueueOfTransient & | Other | ) | `[inline]`

Standard_EXPORT void TColStd_QueueOfTransient::Pop | ( |  | ) |

Standard_EXPORT void TColStd_QueueOfTransient::Push | ( | const Handle(Standard_Transient)& | T | ) |

## Field Documentation

Standard_Address TColStd_QueueOfTransient::myEnd `[private]`

Standard_Address TColStd_QueueOfTransient::myFront `[private]`

Standard_Integer TColStd_QueueOfTransient::myLength `[private]`

The documentation for this class was generated from the following file:

- TColStd_QueueOfTransient.hxx